<?php
/**
 * Callback Status Functions for This Theme.
 * @subpackage hgwmag
 */


if (!function_exists('hgwmag_top_header_status')) :
  //  =============================================================================
  //  - Check if "Header Top Section" is active.
  //  =============================================================================
    function hgwmag_top_header_status($control){

        if (true == $control->manager->get_setting('hgwmag-show-top-header')->value()) : return true;
        else: return false;
        endif;

    }

endif;

if (!function_exists('hgwmag_main_header_status')) :
  //  =============================================================================
  //  - Check if "Header center Section" is active.
  //  =============================================================================
    function hgwmag_main_header_status($control){

        if (true == $control->manager->get_setting('hgwmag-show-main-header')->value()) : return true;
        else: return false;
        endif;

    }

endif;

if (!function_exists('hgwmag_main_header_brand_status')) :
  //  =============================================================================
  //  - Check if "Header center Section" is active.
  //  =============================================================================
    function hgwmag_main_header_brand_status($control){

        if (
          true == $control->manager->get_setting('hgwmag-show-main-header')->value()
          && true == $control->manager->get_setting('hgwmag-show-brand')->value()) : return true;
        else: return false;
        endif;

    }

endif;


if (!function_exists('hgwmag_main_ads_status')) :
  //  =============================================================================
  //  - Check if "Header Ads" is active.
  //  =============================================================================
    function hgwmag_main_ads_status($control){

        if (
          true == $control->manager->get_setting('hgwmag-show-main-header')->value()
          && true == $control->manager->get_setting('hgwmag-show-header-ads')->value() ) : return true;
        else: return false;
        endif;

    }

endif;

if (!function_exists('hgwmag_main_multiple_ads_status')) :
  //  =============================================================================
  //  - Check if "Header Multiple Ads" is active.
  //  =============================================================================
    function hgwmag_main_multiple_ads_status($control){

        if (
          true == $control->manager->get_setting('hgwmag-show-main-header')->value()
          && true == $control->manager->get_setting('hgwmag-show-header-ads')->value()
          && true == $control->manager->get_setting('hgwmag-multiple-header-ads')->value() ) : return true;
        else: return false;
        endif;

    }

endif;

if (!function_exists('hgwmag_frontpage_top_section_status')) :
  //  =============================================================================
  //  - Check if "FrontPage Top Section" is active.
  //  =============================================================================
    function hgwmag_frontpage_top_section_status($control){

        if (  true == $control->manager->get_setting('hgwmag-show-homepage-top-section')->value() ) : return true;
        else: return false;
        endif;

    }

endif;

if (!function_exists('hgwmag_popular_tags_status')) :
  //  =============================================================================
  //  - Check if "FrontPage Popular Tags" is active.
  //  =============================================================================
    function hgwmag_popular_tags_status($control){

        if (  true == $control->manager->get_setting('hgwmag-show-popular-tags-slideshow')->value() ) : return true;
        else: return false;
        endif;

    }

endif;


if (!function_exists('hgwmag_posts_column_3_status')) :
  //  =============================================================================
  //  - Check if "FrontPage 3 Column" is active.
  //    This Section Start after "FrontPage Popular Tags"
  //  =============================================================================
    function hgwmag_posts_column_3_status($control){

        if (  true == $control->manager->get_setting('hgwmag-show-posts-column-3')->value() ) : return true;
        else: return false;
        endif;

    }

endif;

if (!function_exists('hgwmag_posts_front_page_recent_posts_status')) :
  //  =============================================================================
  //  - Check if "FrontPage Recent Posts" is active.
  //    This Section Start after "FrontPage Tiny Slider"
  //  =============================================================================
    function hgwmag_posts_front_page_recent_posts_status($control){

        if (  true == $control->manager->get_setting('hgwmag-show-fr-recent-posts')->value() ) : return true;
        else: return false;
        endif;

    }

endif;

if (!function_exists('hgwmag_singular_page_postmeta_location_status')) :
  //  =============================================================================
  //  - Check if "singular post meta location" is "sidebar".
  //    non description
  //  =============================================================================
    function hgwmag_singular_page_postmeta_location_status($control){

        if (  'sidebar' == $control->manager->get_setting('hgwmag_singular_page_postmeta_location')->value() ) : return true;
        else: return false;
        endif;

    }

endif;

if (!function_exists('hgwmag_theme_color_picker_variable_status')) :
  //  =============================================================================
  //  - Check if "Theme color" is "Default".
  //    non description
  //  =============================================================================
    function hgwmag_theme_color_picker_variable_status($control){

        if (  'default' == $control->manager->get_setting('hgwmag_theme_color_layouts')->value() ) : return true;
        else: return false;
        endif;

    }

endif;
