<?php
/**
* Social Media Function for This Theme
* @subpackage hgwmag
*/
if ( ! function_exists( 'hgwmag_social_media_pages' ) ) :

 function hgwmag_social_media_pages(){

   $facebook_url = get_option('facebook_url');

   $twitter_url = get_option('twitter_url');

   $youtube_url = get_option('youtube_url');

   $instagram_url = get_option('instagram_url');

   $linkedin_url = get_option('linkedin_url');

   $pinterest_url = get_option('pinterest_url');

   $telegram_url = get_option('telegram_url');

   $whatsapp_url = get_option('whatsapp_url');

   if ( $facebook_url || $twitter_url || $youtube_url || $instagram_url || $linkedin_url || $pinterest_url || $telegram_url || $whatsapp_url ) {

     echo '<div class="col social flex-sb"><ul>';

       if ( $twitter_url ){

         echo '<li class="twitter"><a href="'.esc_url($twitter_url).'" target="_blank"><i class="fa fa-twitter-square" aria-hidden="true"></i></a></li>';
       }

       if ( $facebook_url ){

         echo '<li class="facebook"><a href="'.esc_url($facebook_url).'"><i class="fa fa-facebook-square" aria-hidden="true"></i></a></li>';
       }

       if ( $instagram_url ){

         echo '<li class="instagram"><a href="'.esc_url($instagram_url).'"><i class="fa fa-instagram" aria-hidden="true"></i></a></li>';
       }

       if ( $youtube_url ){

         echo '<li class="youtube"><a href="'.esc_url($youtube_url).'"><i class="fa fa-youtube" aria-hidden="true"></i></a></li>';
       }

       if ( $linkedin_url ){

         echo '<li class="linkedin"><a href="'.esc_url($linkedin_url).'"><i class="fa fa-linkedin-square" aria-hidden="true"></i></a></li>';
       }

       if ( $pinterest_url ){

         echo '<li class="pinterest"><a href="'.esc_url($pinterest_url).'"><i class="fa fa-pinterest-square" aria-hidden="true"></i></a></li>';
       }

       if ( $telegram_url ){

         echo '<li class="telegram"><a href="'.esc_url($telegram_url).'"><i class="fa fa-telegram" aria-hidden="true"></i></a></li>';
       }

       if ( $whatsapp_url ){

         echo '<li class="whatsapp"><a href="'.esc_url($whatsapp_url).'"><i class="fa fa-whatsapp" aria-hidden="true"></i></a></li>';
       }

     echo '</ul></div>';

   }else{

		 echo '<div class="col social"><li class="facebook"><a href="#" target="_blank"><i class="fa fa-facebook-square" aria-hidden="true"></i></a></li><ul></div>';
	 }

 }

endif;
