<?php
/**
* The template for displaying 404 pages (not found)
* @link https://codex.wordpress.org/Creating_an_Error_404_Page
* @subpackage hgwmag
*/

get_header();
?>
<div id="site-content" class="container ntf">
<div class="innerw">
<main>

      <h1 class="entry-title"><?php echo esc_html__( 'Page Not Found', 'hgwmag' ); ?></h1>

      <div class="intro-text"><p><?php echo esc_html__( 'The page you were looking for could not be found. It might have been removed, renamed, or did not exist in the first place.', 'hgwmag' ); ?></p></div>

      <div class="index-search-box" style="margin-top: 30px;">

        <form method="get" id="searchform" action="<?php echo esc_url( home_url( '/' ) ) ?>">

  	      <div>

  	        <input type="text" id="searchtext" value="<?php echo get_search_query(); ?>" name="s" placeholder="<?php esc_attr__( 'Search ...', 'hgwmag' ); ?>" autocomplete="off"/>

  					<button type="submit" id="searchsubmit" value="Search"><i class="fa fa-search"></i></button>

  	      </div>

  	    </form>

      </div>

</main>


  <?php get_sidebar( ) ?>

</div>
</div>

<?php
get_footer();
?>
