jQuery(document).ready(function($) {


  /*
  *==================================================================
  * Menu
  *==================================================================
  */
  var findInsiders = function(elem) {

    /*set focus on first input*/
    $("#first-f").focus();
    /*set Shift+tab focus on first item*/
      $("#first-f").keydown(function(e) {
        if ( e.shiftKey ) {
            e.preventDefault();
            $("#last-f").focus();
            // console.log(lastTabbable.keydown);
        }
      });
      /*set tab focus on last item*/
      $("#last-f").keydown(function(e) {
          var code = e.keyCode || e.which;
          if ( code == 9 && !e.shiftKey ) {
              e.preventDefault();
              $("#first-f").focus();
              // console.log(lastTabbable.keydown);
          }
      });
    /* allow escape key to close insiders div */
    elem.keyup(function(e) {
      if ( e.keyCode == 27 ) {
        elem.toggleClass('.show');
      };
    });

  }; // End Menu Functions Focus

  $(".open-menu").click(function(e){
    e.preventDefault();
    var hgwMenuElem = $('#site-header nav.main-menu .flex-sb .primary');
    hgwMenuElem.toggleClass("show");
    $('body').toggleClass("noscroll");
    findInsiders(hgwMenuElem);
  });
  $(".close-menu").click(function(){
    $('#site-header nav.main-menu .flex-sb .primary').toggleClass("show");
    $('body').toggleClass("noscroll");
  });

  $(".toggle-btn").click(function(){
    $(this).parent().toggleClass("collapsed");
  });


  /*
  *==================================================================
  * appendTo
  *==================================================================
  */
    if( $(window).width() <= 640 ) {
        $("#tiny-menu").appendTo("#hgw-primary-menu #main-menu");
        $(".himgs").prependTo("#site-content .innerw");
    }
    if( $(window).width() > 640 ) {
        $("#tiny-menu").appendTo(".upper .col:first-of-type");
        $(".himgs").appendTo(".header-content .innerw");
    }
    if( $(window).width() <= 840 ) {
        $(".himgs").prependTo("#site-content .innerw");
    }
    if( $(window).width() > 840 ) {
        $(".himgs").appendTo(".header-content .innerw");
    }

    $(window).resize( function() {

      if( $(window).width() <= 640 ) {
          $("#tiny-menu").appendTo("#hgw-primary-menu #main-menu");
          $(".himgs").prependTo("#site-content .innerw");
      }
      if( $(window).width() > 640 ) {
          $("#tiny-menu").appendTo(".upper .col:first-of-type");
          $(".himgs").appendTo(".header-content .innerw");
      }
      if( $(window).width() <= 840 ) {
          $(".himgs").prependTo("#site-content .innerw");
      }
      if( $(window).width() > 840 ) {
          $(".himgs").appendTo(".header-content .innerw");
      }

    });


  /*
  *==================================================================
  * Seach Button
  *==================================================================
  */
  var searchFocusable = function(elem) {

    /*set focus on first input*/
    $("#first-sf").focus();
    /*set Shift+tab focus on first item*/
      $("#first-sf").keydown(function(e) {
        if ( e.shiftKey ) {
            e.preventDefault();
            $("#last-sf").focus();
            // console.log(lastTabbable.keydown);
        }
      });
      /*set tab focus on last item*/
      $("#last-sf").keydown(function(e) {
          var code = e.keyCode || e.which;
          if ( code == 9 && !e.shiftKey ) {
              e.preventDefault();
              $("#first-sf").focus();
              // console.log(lastTabbable.keydown);
          }
      });
    /* allow escape key to close insiders div */
    elem.keyup(function(e) {
      if ( e.keyCode == 27 ) {
        elem.toggleClass('.show');
      };
    });

  }; // End Menu Functions Focus
  $(".search-btn button").click(function(e) {
    e.preventDefault();
    var hgwOpenSearch = $('.search-field');
    $(this).toggleClass('active');
    hgwOpenSearch.toggleClass('active');
    searchFocusable(hgwOpenSearch);
    $('body').toggleClass("noscroll");
  });

  $(".close-search-form").click(function() {
    $(".search-btn button").toggleClass('active');
    $('.search-field').toggleClass('active');
    $(".search-btn button").focus();
    $('body').toggleClass("noscroll");
  });


  /*
  *==================================================================
  * Scroll Up Button
  *==================================================================
  */
  $(document).scroll( function() {
    $('#scroll-up').css({display: $(this).scrollTop() > 1000 ? "flex":"none"});
  });

});
