<?php
/**
 * The template for displaying the Header
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 * @subpackage hgwmag
 */
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>

<head>

  <meta charset="<?php bloginfo( 'charset' ); ?>">

  <meta name="viewport" content="width=device-width, initial-scale=1.0" >

  <link rel="profile" href="https://gmpg.org/xfn/11">

  <?php wp_head(); ?>

</head>
<body <?php body_class(); ?>>

  <?php
  wp_body_open();
  ?>

  <header id="site-header" class="<?php echo esc_attr( get_theme_mod( 'hgwmag-customizer-header-layouts', 'layout1' ) ); ?>">

    <?php

    do_action( 'hgwmag_header_act' );

    ?>


  </header>
