<?php
/**
* Template Part for This Theme
* This part used for Posts widget & Similar Contents
* @subpackage hgwmag
*/
?>
<li class="post<?php if ( ! has_post_thumbnail() ) { echo ' noimg'; } ?>">
  <div class="post-inner">

    <div class="post-thumbnail">
      <a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>">
      <?php
      if ( has_post_thumbnail() ) {
        the_post_thumbnail( 'thumbnail');
      }
      else {
        ?>
        <div class="thumbnailbg wp-post-image">
          <img src="<?php echo esc_url( get_template_directory_uri() ).'/assets/img/default-thumbnail-300x300.jpg' ?>" alt="<?php the_title() ?>">
        </div>
        <?php
      }
      ?>
      </a>
    </div>

    <div class="inner-post-content">
      <div class="information">
        <div class="title">
          <?php the_title( '<a href="' . esc_url( get_permalink() ) . '" class="entry-title">', '</a>' ) ?>
        </div>
        <div class="info">
          <?php
            hgwmag_post_info(
              get_theme_mod( 'hgwmag_fp_main_loop_date', 1 ),
              get_theme_mod( 'hgwmag_fp_main_loop_comments', 1 ),
              get_theme_mod( 'hgwmag_fp_main_loop_author', 1 )
            );
          ?>
        </div>
      </div>
    </div>

  </div>



</li><!-- Post Class -->
